Bug 441781 - qt4 fails some of the optional LSB 3.1 tests
qt4 fails some of the optional LSB 3.1 tests
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: qt4 (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Ngo Than
desktop-bugs@redhat.com
: Rebase
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-09 22:11 EDT by Andrew Ryan
Modified: 2011-01-24 17:52 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-17 12:12:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
test output (74.53 KB, application/octet-stream)
2008-04-09 22:11 EDT, David Robinson
no flags Details

  None (edit)
Description David Robinson 2008-04-09 22:11:25 EDT
Description of problem:
qt4 fails some of the optional LSB 3.1 tests.

Version-Release number of selected component (if applicable):
qt4-4.2.1-1
Red Hat Enterprise Linux Server release 5.1 (Tikanga)

How reproducible:
100%

Steps to Reproduce:
1. wget
http://ftp.linux-foundation.org/pub/lsb/bundles/released-3.1.1/dist-testkit/lsb-dist-testkit-3.1.1-5.ia32.tar.gz
2. tar zxvf lsb-dist-testkit-3.1.1-5.ia32.tar.gz
3. lsb-dist-testkit/install.sh
4. /opt/lsb/test/manager/autotest-ext/lsb-tef.pl --lsb=3.1 libchk_qt4

Actual results:
libQtGui.so.4 6305 Failed
Messages from the test
Did not find _ZTI11QBmpHandler () in libQtGui.so.4
Comment:
Test Purpose Comment: _ZTI11QBmpHandler ()

libQtGui.so.4 6326 Failed
Messages from the test
Did not find _ZTI11QPngHandler () in libQtGui.so.4
Comment:
Test Purpose Comment: _ZTI11QPngHandler ()

libQtGui.so.4 6327 Failed
Messages from the test
Did not find _ZTI11QPpmHandler () in libQtGui.so.4
Comment:
Test Purpose Comment: _ZTI11QPpmHandler ()

libQtGui.so.4 6340 Failed
Messages from the test
Did not find _ZTI11QXbmHandler () in libQtGui.so.4
Comment:
Test Purpose Comment: _ZTI11QXbmHandler ()

Expected results:
No failures.

Additional info:
Output from the test (on RHEL 5.2 snapshot 2) is attached.
Comment 1 David Robinson 2008-04-09 22:11:40 EDT
Created attachment 301916 [details]
test output
Comment 3 Thomas Woerner 2008-07-14 15:11:45 EDT
The maintainter will be back on Monday. Querying exception flag for now.
Comment 13 RHEL Product and Program Management 2009-11-06 14:11:12 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 14 Issue Tracker 2009-11-12 11:42:41 EST
Event posted on 11-12-2009 05:56am EST by Glen Johnson

------- Comment From mbeeraka@in.ibm.com 2009-11-12 05:53 EDT-------
Hi,

Ran the libchk_qt4 tests on RHEL5.4GA i386 machine and noticed some minor
failures as below:

Tests executed
Certification Tests
Static Interface Tests
Library Check 	  v 3.1.1-3 	Failures: 8 	Passed: 14251

Also Attaching the results tar ball.

Thanks
Muni


This event sent from IssueTracker by jkachuck 
 issue 172305
Comment 15 Issue Tracker 2009-11-12 11:42:44 EST
Event posted on 11-12-2009 05:56am EST by Glen Johnson

File uploaded: ia32-x445-2009-11-12-13h-12m-24s.bz2

This event sent from IssueTracker by jkachuck 
 issue 172305
it_file 273155
Comment 16 Issue Tracker 2009-11-12 11:42:46 EST
Event posted on 11-12-2009 06:17am EST by Glen Johnson

------- Comment From iranna.ankad@in.ibm.com 2009-11-12 06:06 EDT-------
(In reply to comment #39)
> Hi,
>
> Ran the libchk_qt4 tests on RHEL5.4GA i386 machine and noticed some
minor
> failures as below:
>
> Tests executed
>  Certification Tests
>    Static Interface Tests
>     Library Check         v 3.1.1-3     Failures: 8     Passed: 14251
>
> Also Attaching the results tar ball.
>
> Thanks
> Muni

Good to see the no. of failures reduced to 8 (from original report of 22).
@Muni: I guess, you used LSB3.1 test suite. Could you please try with
LSB3.2 ?

Thanks!


This event sent from IssueTracker by jkachuck 
 issue 172305
Comment 17 Issue Tracker 2009-11-12 11:42:48 EST
Event posted on 11-12-2009 06:34am EST by Glen Johnson

------- Comment From iranna.ankad@in.ibm.com 2009-11-12 06:28 EDT-------
(In reply to comment #42)
> Good to see the no. of failures reduced to 8 (from original report of
22).
> @Muni: I guess, you used LSB3.1 test suite. Could you please try with
LSB3.2 ?
>
> Thanks!

Got to know  from below LSB link that RHEL5.x supports only LSB 3.1
certification.

https://www.linuxfoundation.org/lsb-cert/productdir.php?by_prod

So, rerunning test with LSB3.2 suite is NOT required.

However coming back to the 8 failures reported with LSB3.1 (on RHEL5.4GA),
we observe all of them are
actually warning failures not the real test case failures.

@Red Hat:
Please refer the results attachment (test_log.html) & let us know if you
agree whether these are OK to ignore kind of failures.

Thanks!


This event sent from IssueTracker by jkachuck 
 issue 172305
Comment 21 Phil Knirsch 2009-11-17 12:12:48 EST
The engineer for qt here at Red Hat checked the test_log.html and verified that the warning are OK from our side. Additionally the 22 failures for QT-4 really boil down to a documented bug from the LSB-3.1 test suite which were fixed in the LSB-3.2 release. For more information see here:

 http://bugs.linuxbase.org/show_bug.cgi?id=1173
 http://bugs.linuxbase.org/show_bug.cgi?id=1801
 http://bugs.linuxbase.org/show_bug.cgi?id=1796
 http://www.linuxfoundation.org/en/ReleaseNotes32

I'm therefore closing this as NOTABUG.

Thanks & regards, Phil

Note You need to log in before you can comment on or make changes to this bug.